How to fix a nuget package installation error

Hello everyone

My problem is about installing nuget Xamarin.Essentials package for Android.
To isolate the error I started a new empty Xamarin project that I called "test".
I am installing this package directly from Visual Studio and I have the error:

**All packages are compatible with MonoAndroid, Version = v8.1.
Package restore failed. Rolling back package changes for 'test.Android'.
**
I did not find a solution to my problem on the internet.
Can someone help me and tell me where this error comes from and how to solve it.

Thank you for your answers
YC

Tagged:

Answers

  • jezhjezh Member, Xamarin Team Xamurai

    Could you please share the new empty Xamarin project which has this problem?

  • yvancoyaudyvancoyaud Member ✭✭

    Thank you for your reply.

    Of course I can share this project.

    But this is the first time I do this manipulation. So I made a .zip file from the project directory that I attached to my message.
    Tell me if there is another way to do it please

    What is problematic is the addition of the package "xamarin.Essentials" in the Android part.

    Thank you
    YC

  • jezhjezh Member, Xamarin Team Xamurai

    I have tested your code, when I installed the nuget Xamarin.Essentials, There was a error like this:

    Severity Code Description Project File Line Suppression State
    Error NU1107 Version conflict detected for Xamarin.Android.Support.Compat. Install/reference Xamarin.Android.Support.Compat 28.0.0.1 directly to project Test.Android to resolve this issue.
    Test.Android -> Xamarin.Android.Support.v7.MediaRouter 28.0.0.1 -> Xamarin.Android.Support.v7.Palette 28.0.0.1 -> Xamarin.Android.Support.Compat (= 28.0.0.1)
    Test.Android -> Xamarin.Essentials 1.0.1 -> Xamarin.Android.Support.CustomTabs 27.0.2.1 -> Xamarin.Android.Support.Compat (= 27.0.2.1).

    For this question, you can check Xamarin.Essentials: Troubleshooting

  • yvancoyaudyvancoyaud Member ✭✭

    For this question, you can check Xamarin.Essentials: Troubleshooting

    The explanations found here have not allowed me to solve the problem, my level of English (I'm French) does not allow me to understand exactly what to do.
    But I discovered that the problem comes from a non-compatilability between installed packages installed by default updated with Xamarins.Essentials.
    So, if I do not update these packages, the installation of Xamarin.Essentials works.

    I will leave these packages without updating them hoping that a correction will be made soon.

    Thank you for your interest in my problem
    YC

Sign In or Register to comment.